View Issue Details

IDProjectCategoryView StatusLast Update
0004426unrealmodule apipublic2015-10-17 11:14
ReporterblankAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0-rc2 
Summary0004426: +P gets removed
DescriptionChannel mode +P gets removed at some point.

Also the channel topic gets cleared at that point, even though there are users in the channel.
TagsNo tags attached.
3rd party modules

Activities

blank

2015-10-16 11:26

reporter   ~0018743

Also channel creation time gets reset at the point +P is removed.

Example: 09:25 -!- Channel #Romance_3 created Fri Oct 16 04:51:08 2015

This channel was created yesterday and there have constantly been at least 1 user in the channel, but today it reports that the channel was only created this morning.

syzop

2015-10-16 11:34

administrator   ~0018744

Last edited: 2015-10-16 11:34

View 2 revisions

This was reported before by one user (unless it was you) but we failed to reproduce it. Do you have any tips perhaps?

Could you verify with '/STATS u' that the IRCd has not been rebooted (it should show an uptime of x days in case of you)

EDIT: has not been rebooted* ;)

blank

2015-10-16 12:54

reporter   ~0018745

;-)

Yeah, now I can reproduce.

1. Create channel #test.

2. /mode #test +P and /topic #test test.

3. /part #test and /list (shows #test with +ntP and topic 'test') - great.

4. /join #test

5. Server sets mode +nt, why does it do this, according to /list it just had +ntP! Also there's no topic, but /list just showed it?

6. /part #test and /list (channel gone).

syzop

2015-10-16 16:19

administrator   ~0018746

Ahh.. the auto +nt is crucial. I don't have set::modes-on-join and it works OK but if you have like this..
set { modes-on-join +nt; };
..then +P fails to work indeed.

syzop

2015-10-17 11:14

administrator   ~0018750

This should now be fixed. Thanks for the report! :)

[unreal40 f1426e0] Fix channel mode +P (Permanent) not working if you have set::modes-on-join, reported by blank (0004426).
https://github.com/unrealircd/unrealircd/commit/f1426e02ee3477e31ab462a83690c3eb328d2bf4

Issue History

Date Modified Username Field Change
2015-10-16 11:25 blank New Issue
2015-10-16 11:26 blank Note Added: 0018743
2015-10-16 11:34 syzop Note Added: 0018744
2015-10-16 11:34 syzop Note Edited: 0018744 View Revisions
2015-10-16 12:54 blank Note Added: 0018745
2015-10-16 16:19 syzop Note Added: 0018746
2015-10-16 16:20 syzop Assigned To => syzop
2015-10-16 16:20 syzop Status new => confirmed
2015-10-17 11:14 syzop Note Added: 0018750
2015-10-17 11:14 syzop Status confirmed => resolved
2015-10-17 11:14 syzop Fixed in Version => 4.0.0-rc2
2015-10-17 11:14 syzop Resolution open => fixed
2017-01-06 15:48 syzop Category module => module api